<?php

namespace App\Http\Controllers\Admin;

use App\Helper\ImageHelper;
use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingController extends Controller
{

    public $resource = 'setting';
    public $route = 'settings';

    public function __construct()
    {
        view()->share('item', $this->resource);
        view()->share('route', $this->route);
    }
    public function edit()
    {
        $setting = Setting::query()->where('id','=','1')->first();
        return view('admin.crud.setting._edit',compact('setting'));
    }

    public function update(Request $request)
    {
        $input=$request->all();

        $setting = Setting::query()->where('id','=','1')->first();

        if($request->hasFile('mission_vision_photo')  ) {
            $productPhoto = ImageHelper::add($request->mission_vision_photo, null, 'mission_vision_photo');
            $input['mission_vision_photo'] = $productPhoto;
        }

        $setting->update($input);
        return redirect()->route('dashboard.settings.edit')->with('success','Setting Updated Successfully');
    }
    public function deleteImage(Request $request)
    {
        $setting = Setting::query()->findOrFail($request->setting_id);

        // Delete the existing identity photo
        if ($setting->mission_vision_photo) {
            ImageHelper::delete($setting->mission_vision_photo);
            $setting->mission_vision_photo = 0;
            $setting->save();

            return response()->json(['success' => true]);
        }

        return response()->json(['success' => false], 400);
    }
}
