<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use App\Mail\ContactFormMail;
use App\Models\Contact;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;

class ContactController extends Controller
{
    public function contact()
    {
        return view('front.pages.contact');
    }

    public function sendMessage(Request $request)
    {

        $request->validate([
            'name' => 'required|string|max:50', // Limit address length if needed
            'email' => 'required|string|max:100', // Limit address length if needed
            'phone_number' => 'required|string|max:20', // Limit subject length if needed
            'subject' => 'required|string|max:50', // Limit  length if needed
            'message' => 'required|string|max:500', // Limit  length if needed
        ]);

        $formData = $request->only(['name', 'email', 'phone_number', 'subject', 'message']);

        Contact::query()->create($request->all());

        try {
            Mail::to('info@arabiamobiles.com')->send(new ContactFormMail($formData));
        } catch (\Exception $ex) {
            Log::info($ex->getMessage());
        }


        return redirect()->back()->with('success', 'Your message has been sent successfully!');
    }
}
