<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use App\Models\BrandHome;
use App\Models\Contact;
use App\Models\Counter;
use App\Models\MainPageService;
use App\Models\NewEvent;
use App\Models\Slider;
use Database\Seeders\MainPageServiceSeeder;
use Illuminate\Http\Request;

class HomeController extends Controller
{

    public function show()
    {
//        $sliders = Slider::all();
        $counters = Counter::query()->paginate(5);
        $sliders = Slider::query()->take(3)->get();
        $mainPageServices = MainPageService::query()->take(3)->get();
        $newEvents = NewEvent::query()->take(2)->get();
        $brandHomes = BrandHome::query()->take(5)->get();
        return view('front.pages.homepage',compact('counters','sliders',
            'mainPageServices','newEvents','brandHomes'));
    }

    public function aboutUs()
    {
        return view('front.pages.about-us');
    }


    public function eventDetails()
    {
        return view('front.pages._news-events-details');
    }
}
