@extends('admin.layouts.app')

@section('content')
        <!-- Start content -->
        <div class="content">
            <div class="container-fluid">
                <x-nav title="Counter Tables" :route="$route" add="Add Counter" :import="''"/>
                <x-alert />

                <!-- end page-title -->
                <div class="row">
                    <div class="col-12">
                        <div class="card m-b-30">
                            <div class="card-body">
                                <table class="table table-bordered dt-responsive nowrap" style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                    <tr>
                                        <th>Counter ID</th>
                                        <th>Counter Title</th>
                                        <th>Counter Number</th>
                                        <th>Created At</th>
                                        <th>Control</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @if($dataCounters->isEmpty())
                                        <tr>
                                            <td colspan="4" class="text-center"><p style="font-size: 20px">There are no counters to be shown</p></td>
                                        </tr>
                                    @else
                                        @php
                                            $counter = ($dataCounters->currentPage() - 1) * $dataCounters->perPage() + 1;
                                        @endphp
                                    @foreach($dataCounters as $dataCounter)
                                    <tr>
                                        <td>{{$counter}}</td>
                                        <td>{{$dataCounter->title}}</td>
                                        <td>{{$dataCounter->count_number}}</td>
                                        <td>{{$dataCounter->created_at->format('d / m / Y') }}</td>
                                        <td>
                                            <form id="delete-form-{{$dataCounter->id}}" method="POST" action="{{ route('dashboard.counters.destroy',$dataCounter->id) }}">
                                                @csrf
                                                @method('DELETE')
                                                <a href="{{route('dashboard.counters.edit' ,$dataCounter->id )}}" class="btn btn-info" style="border: none">Edit</a>
                                                <a href="{{route('dashboard.counters.show' ,$dataCounter->id )}}" class="btn btn-warning" style="border: none">Show</a>
                                                <button type="button" class="btn btn-danger" style="border: none" onclick="confirmDelete({{$dataCounter->id}})" >Delete</button>
                                            </form>
                                        </td>
                                    </tr>
                                    @php
                                        $counter++;
                                    @endphp
                                    @endforeach
                                    @endif
                                    </tbody>
                                </table>
                                {{ $dataCounters->onEachSide(5)->links()  }}
                            </div>
                        </div>
                    </div> <!-- end col -->
                </div> <!-- end row -->
            </div>

            <!-- container-fluid -->
        </div>
        <!-- content -->

        <script>
            function confirmDelete(id) {
                console.log('Confirm delete called for id:', id);
                Swal.fire({
                    title: 'Are you sure ?',
                    text: "You can't retore the data after deleting",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes , Delete !',
                    cancelButtonText: 'Cancel'
                }).then((result) => {
                    if (result.isConfirmed) {
                        document.getElementById('delete-form-' + id).submit();
                    }
                });
            }
        </script>
@endsection


