@extends('admin.layouts.app')

@section('content')
    <div class="content">
        <div class="container-fluid">
            <x-nav title="Edit Setting" :route="''"  :import="''"/>
            <!-- end page-title -->
            <div class="row">
                <div class="col-12">
                    <div class="card m-b-30">
                        <div class="card-body">

                            <form action="{{route('dashboard.settings.update',$setting->id)}}" method="POST" enctype="multipart/form-data">
                                @csrf
                                @method('PUT')

                                <!-- Description Input (Rich Text Editor) -->
                                <div class="form-group row">
                                    <label for="description" class="col-sm-2 col-form-label">Mission</label>
                                    <div class="col-sm-10">
                                        <textarea  name="mission" class="form-control">{{ $setting->mission }}</textarea>
                                    </div>
                                </div>

                                <div class="form-group row">
                                        <label for="description" class="col-sm-2 col-form-label">Vision</label>
                                        <div class="col-sm-10">
                                            <textarea  name="vision" class="form-control">{{ $setting->vision }}</textarea>
                                        </div>
                                </div>

                                    <x-input attribute="col-sm-10" label="Product Photo" type="file" name="mission_vision_photo" value="" placeholder="Enter product Photo"/>
                                    <div class="form-group row">
                                        <div class="col-sm-10"><br><br></div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="mission_vision_photo" class="col-form-label col-sm-2">Current mission vision photo</label>
                                        <div class="col-sm-10">
                                            @if($setting->mission_vision_photo)
                                                <img src="{{ asset($setting->mission_vision_photo) }}" alt="Identity Photo" class="img-thumbnail" style="max-width: 200px; margin-right: 10px;">
                                                <button type="button" class="btn btn-danger delete-image" data-image-id="{{ $setting->id }}">Delete</button>
                                            @else
                                                <p>No mission vision photo currently</p>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-sm-10"><br><br></div>
                                    </div>

                                <div class="form-group row">
                                        <label for="description" class="col-sm-2 col-form-label">Founder Message</label>
                                        <div class="col-sm-10">
                                            <textarea  name="founder_message" class="form-control">{{ $setting->founder_message }}</textarea>
                                        </div>
                                </div>

                                <x-button :attribute="getAction()" :item="$item" />
                            </form>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div>
        </div>
        <!-- container-fluid -->

    </div>

    <script>

        // Image delete functionality
        $(document).ready(function(){
            $('.delete-image').on('click', function(event){
                var SettingId = $(this).data('image-id');
                if(confirm("Are you sure you want to delete this image?")) {
                    $.ajax({
                        url: "{{ route('dashboard.settings.deleteImage') }}", // Adjust this route if necessary
                        method: 'POST',
                        data: {
                            _token: "{{ csrf_token() }}",
                            setting_id: SettingId
                        },
                        success: function(response){
                            location.reload();
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                            alert('An error occurred while deleting the image.');
                        }
                    });
                }
            });
        });
    </script>
@endsection
