<?php

use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\AuthController;
use App\Http\Controllers\Admin\BranchController;
use App\Http\Controllers\Admin\MetaController;
use App\Http\Controllers\Admin\EmployeeController;
use App\Http\Controllers\Front\AboutController;
use App\Http\Controllers\Front\ContactController;
use App\Http\Controllers\Front\HomeController;
use App\Http\Controllers\Front\NewsEventController;
use App\Http\Controllers\Front\ServiceController;
use App\Http\Controllers\Front\ShopController;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;
use Mcamara\LaravelLocalization\Facades\LaravelLocalization;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/',[HomeController::class , 'show'])->name('home');
Route::get('/services',[ServiceController::class , 'service'])->name('service');
Route::get('/service/details/{id}',[ServiceController::class , 'serviceDetails'])->name('serviceDetails');

Route::get('/shop',[ShopController::class , 'shop'])->name('shop');
Route::get('/shop/filter/{brand}',[ShopController::class , 'brandFilter'])->name('brandFilter');
Route::get('/cart',[ShopController::class , 'cart'])->name('cart');
Route::post('/checkout',[ShopController::class , 'checkout'])->name('checkout');

Route::get('/product-details',[ShopController::class , 'productDetails'])->name('product-details');
Route::get('/news/events',[NewsEventController::class , 'newsEvent'])->name('newsEvent');
Route::get('/news/events-details/{id}',[NewsEventController::class , 'newsEventDetails'])->name('newsEventDetails');


Route::get('/contacts',[ContactController::class , 'contact'])->name('contact');
Route::post('/contact/send',[ContactController::class , 'sendMessage'])->name('sendMessage');

Route::get('/events/news/details/{id}',[NewsEventController::class , 'newsEventDetails'])->name('event.details');

// about us
Route::get('/about-us',[HomeController::class , 'aboutUs'])->name('aboutUs');
Route::get('/about-arabia-mobiles',[AboutController::class , 'aboutArabiaMobiles'])->name('aboutArabiaMobiles');
Route::get('/mission-vision',[AboutController::class , 'missionVision'])->name('missionVision');
Route::get('/why-us',[AboutController::class , 'whyUs'])->name('whyUs');
Route::get('/distribution-areas-and-brands',[AboutController::class , 'distributionBrands'])->name('distributionBrands');
Route::get('/our-history',[AboutController::class , 'ourHistory'])->name('ourHistory');
Route::get('/the-founder',[AboutController::class , 'theFounder'])->name('theFounder');
Route::get('/word-of-director',[AboutController::class , 'wordOfDirector'])->name('wordOfDirector');



Route::get('/test',function (){
    return view('front.test');
});
